#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    int n,x,mini=1e8+1,maxi=-1e8-1;
    cin >> n >> x;
    int a[n];
    for(int i=0;i<n;i++)
    {
        cin >> a[i];
        maxi=max(maxi,a[i]);
        mini=min(mini,a[i]);
    }
    if(x<=mini) cout << maxi-x;
    else if(x>=maxi) cout << x-mini;
    else cout << (maxi-x)+(x-mini)+min(maxi-x,x-mini);
    return 0;
}